﻿// Keep these lines for a best effort IntelliSense of Visual Studio 2017 and higher.
/// <reference path="./../Packages/Beckhoff.TwinCAT.HMI.Framework.12.752.0/runtimes/native1.12-tchmi/TcHmi.d.ts" />
(function (/** @type {globalThis.TcHmi} */ TcHmi) {
    var Functions;
    (function (/** @type {globalThis.TcHmi.Functions} */ Functions) {
        var TcHmiProject1;
        (function (TcHmiProject1) {
            function AddOrDeleteItem(DeviceName) {



                var itemFound = false;
                var indexArray = -1;

                for (var i = 0; i < globalDeviceList.length; i++) {
                    if (globalDeviceList[i].DeviceName.localeCompare(DeviceName) == 0) {
                        itemFound = true;
                        indexArray = i;
                        break;
                    }
                }

                var anItem = {
                    "DeviceName": " ",
                    "ChangedTime": "time1"
                };
                if ( itemFound) {
                    globalDeviceList.splice(indexArray, 1);
                } else if ( !itemFound) {
                    anItem.DeviceName = DeviceName;
                    var d = new Date();
                    anItem.ChangedTime = d.toLocaleString();
                    globalDeviceList.splice(0, 0, anItem);
                }


            }
            TcHmiProject1.AddOrDeleteItem = AddOrDeleteItem;
        })(TcHmiProject1 = Functions.TcHmiProject1 || (Functions.TcHmiProject1 = {}));
        Functions.registerFunctionEx('AddOrDeleteItem', 'TcHmi.Functions.TcHmiProject1', TcHmiProject1.AddOrDeleteItem);
    })(Functions = TcHmi.Functions || (TcHmi.Functions = {}));
})(TcHmi);